package org.ow2.bonita.iteration;

import java.util.HashMap;
import java.util.Map;

public class IterationProcess {

  Map<String, IterationNode> nodes = new HashMap<String, IterationNode>();
  public void addNode(IterationNode node) {
    this.nodes.put(node.getName(), node);
  }
  public IterationNode getNode(String nodeName) {
    return nodes.get(nodeName);
  }
  public boolean hasNode(String name) {
    return nodes.containsKey(name);
  }
  public Map<String, IterationNode> getNodes() {
    return nodes;
  }
  
  public Map<String, IterationNode> getInitialActivities() {
    final Map<String, IterationNode> result = new HashMap<String, IterationNode>();
    for (IterationNode node : getNodes().values()) {
      if (!node.hasIncomingTransitions()) {
        result.put(node.getName(), node);
      }
    }
    return result;
  }
  
}
